import { Body, Controller, Get, Param, Req } from '@nestjs/common';
import { AppService } from './app.service';

@Controller('cats')
export class AppController {
  constructor(private readonly appService: AppService) {}

  @Get('hello/:id')
  getHello(@Req() req: Request, @Body() body: any, @Param() param): string {
    // console.log(req);
    console.log(body);
    console.log(param);
    return this.appService.getHello();
  }
}
